<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[HumveeA6的博客]]></title><description><![CDATA[]]></description><link>https://blog.youkuaiyun.com/HumveeA6</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; HumveeA6]]></copyright><item><title><![CDATA[Educational Codeforces Round 36 (Rated for Div. 2)  C. Permute Digits]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/81011833</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/81011833</guid><author>HumveeA6</author><pubDate>Thu, 12 Jul 2018 10:39:43 +0800</pubDate><description><![CDATA[显然我们是想求一个满足条件的字典序最大的排列，那么对于每一位，我们从可放置的最大数出发，找出在当前状况下后续能排出的最小序列，跟b比较，如果最小序列比b小，那么这一位就可以放最大的数。



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;algorithm&amp;gt;
#include&amp;lt;string&amp;gt;
using n...]]></description><category></category></item><item><title><![CDATA[（模板）Splay维护区间序列（洛谷P3391）]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/81004004</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/81004004</guid><author>HumveeA6</author><pubDate>Wed, 11 Jul 2018 17:18:48 +0800</pubDate><description><![CDATA[题目：


  您需要写一种数据结构（可参考题目标题），来维护一个有序数列，其中需要提供以下操作：翻转一个区间，例如原有序序列是5 4 3 2 1，翻转区间是[2,4]的话，结果是5 2 3 4 1 
  输入格式： 
  第一行为n,m n表示初始序列有n个数，这个序列依次是1,2,3,……,n,    m表示翻转操作次数 
  接下来m行每行两个数 [l,r][l,r] 数据保证 1≤l≤r≤...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #496 (Div. 3)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80993028</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80993028</guid><author>HumveeA6</author><pubDate>Tue, 10 Jul 2018 22:22:54 +0800</pubDate><description><![CDATA[A. 
统计1的个数即可，注意最后一个数必定是某个台阶的最后一级也就是级数即可。



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;algorithm&amp;gt;
#include&amp;lt;cstring&amp;gt;
#include&amp;lt;vector&amp;gt;
using namespace std;
int main()
{
 ...]]></description><category></category></item><item><title><![CDATA[（模板）Splay 平衡树]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80991679</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80991679</guid><author>HumveeA6</author><pubDate>Tue, 10 Jul 2018 20:34:58 +0800</pubDate><description><![CDATA[不会讲解，直接上板子，按照洛谷P3369的要求



#include&amp;lt;iostream&amp;gt;
#include&amp;lt;cstring&amp;gt;
#include&amp;lt;cstdio&amp;gt;
using namespace std;
const int MAXN=1000000;
int ch[MAXN][2],f[MAXN],size[MAXN],cnt[MAXN],key[MAXN];
...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #487 (Div. 2)    C. A Mist of Florescence]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80981401</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80981401</guid><author>HumveeA6</author><pubDate>Tue, 10 Jul 2018 10:07:40 +0800</pubDate><description><![CDATA[构造的思路比较暴力，如图。 
 
但是代码其实不太好写



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
using namespace std;
int main(){
    int i,x,y,c[4];
    for(i=0;i&amp;lt;4;i++)cin&amp;gt;&amp;gt;c[i],c[i]--;//预留一个给大的包围块
    cout&amp;...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #488 by NEAR (Div. 2)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80981120</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80981120</guid><author>HumveeA6</author><pubDate>Tue, 10 Jul 2018 09:55:21 +0800</pubDate><description><![CDATA[A.



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;set&amp;gt;
#include&amp;lt;algorithm&amp;gt;
using namespace std;
int main()
{
    int n,m,i,j,k;
    set&amp;lt;int&amp;gt;s;
    cin&amp;gt;&amp;gt;n&amp;gt;&amp;gt;m;]]></description><category></category></item><item><title><![CDATA[Codeforces Round #495 (Div. 2)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80967578</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80967578</guid><author>HumveeA6</author><pubDate>Mon, 09 Jul 2018 11:23:28 +0800</pubDate><description><![CDATA[A. 
直接模拟或者统计相邻两点距离与d*2的关系即可。 
当时写的直接模拟，代码不是很好看



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;cmath&amp;gt;
#include&amp;lt;set&amp;gt;
using namespace std;
int loc[105];
int main()
{
    int n,d,...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #494 (Div. 3)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80959938</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80959938</guid><author>HumveeA6</author><pubDate>Sun, 08 Jul 2018 15:57:33 +0800</pubDate><description><![CDATA[A. 
显然统计一下最多的那个就可以了



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;map&amp;gt;
using namespace std;
int main()
{
    int n,i,j,k;
    map&amp;lt;int,int&amp;gt;mp1;
    cin&amp;gt;&amp;gt;n;
    for(i=1;i...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #493 (Div. 2)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80956937</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80956937</guid><author>HumveeA6</author><pubDate>Sun, 08 Jul 2018 09:46:38 +0800</pubDate><description><![CDATA[A. 
其实3袋或以上是一定可以满足题目要求的，枚举一下即可



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
using namespace std;
int main()
{
    int n,i,j,k,sum=0;
    cin&amp;gt;&amp;gt;n;
    if(n==1){
        cout&amp;lt;&amp;lt;-1&amp;lt;&amp;lt...]]></description><category></category></item><item><title><![CDATA[Educational Codeforces Round 46 (Rated for Div. 2)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80954522</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80954522</guid><author>HumveeA6</author><pubDate>Sat, 07 Jul 2018 20:38:27 +0800</pubDate><description><![CDATA[A. 
非常暴力枚举一下即可



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;string&amp;gt;
#include&amp;lt;map&amp;gt;
#include&amp;lt;algorithm&amp;gt;
using namespace std;
int main()
{
    map&amp;lt;string,int&amp;gt;mp1,mp...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #491 (Div. 2)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80862170</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80862170</guid><author>HumveeA6</author><pubDate>Fri, 29 Jun 2018 21:43:16 +0800</pubDate><description><![CDATA[A. 
 简单的容斥原理，注意一些奇怪的大小问题即可。



#include&amp;amp;lt;cstdio&amp;amp;gt;
#include&amp;amp;lt;iostream&amp;amp;gt;
using namespace std;
int main()
{
    int a,b,c,n;
    cin&amp;amp;gt;&amp;amp;gt;a&amp;amp;gt;&amp;amp;gt;b&amp;amp;gt;&amp;amp;gt;c&amp;amp;gt;]]></description><category></category></item><item><title><![CDATA[Codeforces Round #490 (Div. 3)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80778970</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80778970</guid><author>HumveeA6</author><pubDate>Fri, 22 Jun 2018 21:44:16 +0800</pubDate><description><![CDATA[A. 
直接拿个deque模拟一下就完了



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;deque&amp;gt;
#include&amp;lt;algorithm&amp;gt;
using namespace std;
int main()
{
    int n,k,i,j,cnt=0;
    cin&amp;gt;&amp;gt;n&amp;gt;&amp;gt...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #489 (Div. 2)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80752916</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80752916</guid><author>HumveeA6</author><pubDate>Wed, 20 Jun 2018 21:31:05 +0800</pubDate><description><![CDATA[A. 
稍加思考就会发现其实只要知道其中非0的不同的数有多少个就可以了。



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;set&amp;gt;
using namespace std;
int main()
{
    int n,i,j;
    set&amp;lt;int&amp;gt;s;
    cin&amp;gt;&amp;gt;n;
    ...]]></description><category></category></item><item><title><![CDATA[2018 Spring Training STL]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80637558</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80637558</guid><author>HumveeA6</author><pubDate>Sat, 09 Jun 2018 23:44:41 +0800</pubDate><description><![CDATA[https://cn.vjudge.net/contest/234044#overview 
总体而言一部分傻逼题一部分难题 
A. 
傻逼题1 
拿stack模拟一下即可。

#include&amp;amp;amp;amp;lt;cstdio&amp;amp;amp;amp;gt;
#include&amp;amp;amp;amp;lt;iostream&amp;amp;amp;amp;gt;
#include&amp;amp;amp;amp;lt;string&amp;amp;amp;amp;gt;
]]></description><category></category></item><item><title><![CDATA[POJ 1179  (DP)]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80602455</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80602455</guid><author>HumveeA6</author><pubDate>Wed, 06 Jun 2018 23:04:06 +0800</pubDate><description><![CDATA[关键就是要想到最大值可能是负负得正得来的，所以我们还需要维护区间的最小值，别的就不难了，很单纯的区间dp 
lyd的书上的详解： 


#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;algorithm&amp;gt;
#include&amp;lt;cstring&amp;gt;
#include&amp;lt;string&amp;gt;
#include&amp;lt...]]></description><category></category></item><item><title><![CDATA[2018 Spring Training 数据结构]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80583096</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80583096</guid><author>HumveeA6</author><pubDate>Tue, 05 Jun 2018 16:20:38 +0800</pubDate><description><![CDATA[这次的题目不少难度还是挺大的，对萌新挺不友好哇233…只会做一部分了2333 
基本上就是，要么不会做，要么会做不想写贼复杂那种…

A.BZOJ1007 
可以观察到，我们要求的是一个凹形的图形。 
首先，我们先按k升序为第一关键字，b降序为第二关键字，然后用一个单调栈（单调队列）来维护这些直线。 
若当前直线i能完全覆盖栈顶直线s[top]，也就是上一条加进去的直线（不一定是第一条直线哦），则...]]></description><category></category></item><item><title><![CDATA[二维树状数组（模板，单点更新区间求和）]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80558361</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80558361</guid><author>HumveeA6</author><pubDate>Sun, 03 Jun 2018 17:36:10 +0800</pubDate><description><![CDATA[updata:在（x，y）处加上v 
query：区间（0，0）到（x，y）的所有数之和 
sum：容斥原理求区间所有数之和，(x,y)左上角，(xx,yy)右下角。坐标是从左往右，从上往下增大。

int N;
int c[maxn][maxn];
inline int lowbit(int t)
{
    return t&amp;amp;(-t);
}
void update(int x,int ...]]></description><category></category></item><item><title><![CDATA[Codeforces Round #462]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80531955</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80531955</guid><author>HumveeA6</author><pubDate>Thu, 31 May 2018 23:55:23 +0800</pubDate><description><![CDATA[A.题目不难，但是如果想要用一些巧妙的方法去做的话….会变得很麻烦，要非常仔细地考虑各种可能。然而题目数据范围是如此的小，所以还不如暴力枚举所有的乘积，然后把最大的乘积所在的那一组数全部删掉，也就是第一个人应该删掉那个数。然后在剩下的数里找最大的数即可。



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;algorithm...]]></description><category></category></item><item><title><![CDATA[洛谷P4009 汽车加油行驶问题]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80530265</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80530265</guid><author>HumveeA6</author><pubDate>Thu, 31 May 2018 21:15:08 +0800</pubDate><description><![CDATA[虽然写着网络流，但是似乎spfa跑最短路更好做一些。 
需要注意的是如果某个地方有油站，那么是一定要加满油才能往后走的。 
然后距离的记录以及边与平时的spfa有一些不同。 
每个点如果有油，可以往4个方向转移。 
别的就没有什么了。



#include&amp;lt;cstdio&amp;gt;
#include&amp;lt;iostream&amp;gt;
#include&amp;lt;algorithm&amp;gt;
#incl...]]></description><category></category></item><item><title><![CDATA[有上下界的网络流 做法总结]]></title><link>https://blog.youkuaiyun.com/HumveeA6/article/details/80516762</link><guid>https://blog.youkuaiyun.com/HumveeA6/article/details/80516762</guid><author>HumveeA6</author><pubDate>Wed, 30 May 2018 21:58:03 +0800</pubDate><description><![CDATA[无源汇可行流

建图方法 
将有上下界的网络流图转化成普通的网络流图

首先建立附加源点ss和附加汇点tt 
对于原图中的边x-&amp;amp;amp;gt;y，若限制为[b,c]，那么连边x-&amp;amp;amp;gt;y，流量为c-b 
对于原图中的某一个点i，记d(i)为流入这个点的所有边的下界和减去流出这个点的所有边的下界和  
若d(i)&amp;amp;amp;gt;0，那么连边ss-&amp;amp;amp;gt;i，流量为d(i) 
若d(i)&amp;amp;amp;lt;0，那么连]]></description><category></category></item></channel></rss>